Get upcoming shifts
GET {{baseUrl}}/shifts/couriers/upcoming
Lists the driver’s upcoming claimed shifts. Source: endpoints/staffing.ts GET /shifts/couriers/upcoming — array of Shift.
Response fields (array):
start/stop— shift window.retreat_point/retreat_point_name— where the shift is based.hourly_rate,length_hours— pay rate and duration.checked_in— timestamp once the driver checks in, otherwisenull.cash/hotbag— whether the driver brought a cash bag / hot bag for this shift.
Examples
Section titled “Examples”curl --request GET 'https://api.firstdelivery.com/api/shifts/couriers/upcoming'const response = await fetch("https://api.firstdelivery.com/api/shifts/couriers/upcoming", { "method": "GET", "headers": {}})const data = await response.json()import requests
response = requests.request( "GET", "https://api.firstdelivery.com/api/shifts/couriers/upcoming", headers={},)response.raise_for_status()Saved responses
Section titled “Saved responses”[ { "id": "<shift-id>", "start": "2026-06-23T16:00:00.000Z", "stop": "2026-06-23T20:00:00.000Z", "retreat_point": "c1d2e3f4-1111-4a2b-9c3d-4e5f6a7b8c9d", "retreat_point_name": "Downtown Hub", "hourly_rate": 18, "length_hours": 4, "checked_in": null, "cash": false, "hotbag": true }]
